package com.ruoyi.web.v1.DTO;

import com.ruoyi.common.annotation.Excel;

public class SlaughterRelationDTO {
    /** 血码编号 */
    @Excel(name = "血码编号")
    private String slaughterCode;

    /** 关联供应商 */
    @Excel(name = "关联供应商")
    private String supplierName;

    /** 关联肉商 */
    @Excel(name = "关联肉商")
    private String purchaserName;

    /** 二维码 */
    @Excel(name = "二维码",cellType =  Excel.ColumnType.QRCODE)
    private String qrcode;

    public void setSlaughterCode(String slaughterCode)
    {
        this.slaughterCode = slaughterCode;
    }

    public String getSlaughterCode()
    {
        return slaughterCode;
    }

    public void setSupplierName(String supplierName)
    {
        this.supplierName = supplierName;
    }

    public String getSupplierName()
    {
        return supplierName;
    }

    public void setPurchaserName(String purchaserName)
    {
        this.purchaserName = purchaserName;
    }

    public String getPurchaserName()
    {
        return purchaserName;
    }

    public void setQrcode(String qrcode)
    {
        this.qrcode = qrcode;
    }

    public String getQrcode()
    {
        return qrcode;
    }
}
